<?php

/**
 * @file archibald_content_view.tpl.php
 * Display detail page of a lom ressource
 *
 * - $lom: ArchibaldLom Object
 * - $lom_title: ArchibaldLom general.title as string
 * - $lom_description: ArchibaldLom general.description as string (uncutted)
 * - $preview_image_fid: ArchibaldLom technical.preview_image Image fid (file id)
 * - $lifecycle_contributers: An multi array like (array( array('role', 'firstname', 'lastname') ))
 * - $is_part: an array with the same values as above (without is_part and has_part array)
 * - $has_part: an array with the same values as above (without is_part and has_part array)
 *
 */


global $language;

echo $preview_image_img;

echo $company_logo;

if (function_exists('archibald_ratings_show')) {
  echo archibald_ratings_show($lom->lomId);
}

//."<br />";
echo check_plain($lom_description);

/**
 $return_vals = array();
 foreach ($lom->getGeneral()->getCoverage() as $langstring) {
   $return_vals[] = check_plain(ArchibaldLom::getLangstringText($langstring));
 }
 echo implode(', ', $return_vals);
 */
echo '<div class="clear"></div>';
?>
</div>
<!-- /wboxinfo -->

<div class="wbox archibald_view_info_blocks">

  <div class="details">
    <p><a href="JavaScript:void(0);" id="archibald_view_general" class="btndetails inactive remember_choice"><span><?php echo (t('General information')); ?></span></a></p>
    <div style="display: block;" class="detailscontainer archibald_view_general">

      <table class="view_general">
<?PHP foreach ($contributers_grouped as $role => $contributers) { ?>
          <tr>
            <td width="172"><?php echo archibald_get_term_by_key($role, 'lc_cont_role'); ?></td>
            <td>
          <?php
            foreach ($contributers as $contributer_id => $array) {
              echo '<div class="contributer contributer_' . $role . '" contributer_id="' . $contributer_id . '">';
              $name = trim($array['vcard']->lastname . ', ' . $array['vcard']->firstname . '; ' . $array['vcard']->organization, ' ,;');
              $query = trim($array['vcard']->firstname . ' ' . $array['vcard']->lastname . ' ' . $array['vcard']->organization);
              echo l($name, 'archibald', array('query' => array('query' => 'author:"' . $query . '"')));
              echo '</div>';
            } ?>
            </td>
          </tr>
            <?PHP } ?>
        <tr>
          <td><?php echo t('Version'); ?></td>
          <td>
            <?php print (empty($version)) ? '-' : $version; ?>
          </td>
        </tr>
        <tr>
          <td><?php echo t('Language'); ?></td>
          <td>
            <?php
            $return_vals = array();
            foreach ($lom->getGeneral()->getLanguage() as $langstring) {
              $return_vals[] = archibald_get_language_by_code($langstring);
            }
            echo implode(', ', $return_vals);
            ?>
          </td>
        </tr>
        <tr>
          <td><?php echo t('Tags'); ?></td>
          <td>
          <?php
          $return_vals = array();
          foreach ($lom->getGeneral()->getKeyword() as $langstring) {
            $val = ArchibaldLom::getLangstringText($langstring, '', TRUE);
            if (!empty($val)) {
              $val = l($val, 'archibald', array('query' => array('query' => 'keywords:"' . $val . '"')));
              $return_vals[] = $val;
            }
          }
          echo (empty($return_vals)) ? '-' : implode('<br />', $return_vals);
          ?>
          </td>
        </tr>
        <tr>
          <td><?php echo t('Coverage'); ?></td>
          <td>
          <?php
          $return_vals = array();
          foreach ($lom->getGeneral()->getCoverage() as $langstring) {
            $val = ArchibaldLom::getLangstringText($langstring, '', TRUE);
            if (!empty($val)) {
              $val = l($val, 'archibald', array('query' => array('query' => 'coverage:"' . $val . '"')));
              $return_vals[] = $val;
            }
          }
          echo (empty($return_vals)) ? '-' : implode('<br />', $return_vals);
          ?>
          </td>
        </tr>
      </table>



    </div>
  </div>

  <div class="details">
    <p><a href="JavaScript:void(0);" id="archibald_view_education" class="btndetails inactive remember_choice"><span><?php echo (t('Educational information')); ?></span></a></p>
    <div style="display: block;" class="detailscontainer archibald_view_education">



      <table class="view_education">
        <tr>
          <td width="172"><?php echo t('Educational description'); ?></td><td><?php echo check_plain(ArchibaldLom::getLangstringText($lom->getEducation()->getDescription())); ?></td>
        </tr>
        <tr>
          <td><?php echo t('Learning ressource type'); ?></td><td>
          <?php
          foreach ($lom->getEducation()->getLearningResourceType() as $voc) {
            $value = $voc->getValue();
            $value_human = $value;
            switch ($voc->getSource()) {
              case 'LOMv1.0':
              case 'LOM-CHv1.0':
              case 'LREv3.0':
                $value_human = archibald_get_term_by_key($value, 'learning_resourcetype');
                break;
            }
            echo l($value_human, 'archibald', array('query' => array('query' => 'learning_resourcetype:"' . $value . '"'))) . '<br />';
          }
          ?>
          </td>
        </tr>
        <tr>
          <td ><?php echo t('Intended end user role'); ?></td><td >
          <?php
          $enduser_roles = $lom->getEducation()->getIntendedEndUserRole();
          if (empty($enduser_roles)) {
            echo '-';
          }
          else {
            foreach ($enduser_roles as $voc) {
              $value = $voc->getValue();
              $value_human = $value;
              switch ($voc->getSource()) {
                case 'LOMv1.0':
                case 'LOM-CHv1.0':
                case 'LREv3.0':
                  $value_human = archibald_get_term_by_key($value, 'intended_enduserrole');
                  break;
              }
              echo l($value_human, 'archibald', array('query' => array('query' => 'intendet_enduserrole:"' . $value . '"'))) . '<br />';
            }
          }
          ?>
          </td>
        </tr>

        <tr>
          <td ><?php echo t('Typical age range'); ?></td><td>
            <?php print $typical_age_range; ?>
          </td>
        </tr>
        <tr>
          <td><?php echo t('Difficulty'); ?></td><td><?php
          $value = $lom->getEducation()->getDifficult()->getValue();
          if (empty($value)) {
            echo '-';
          }
          else {
            $value_human = $value;
            switch ($lom->getEducation()->getDifficult()->getSource()) {
              case 'LOMv1.0':
              case 'LOM-CHv1.0':
              case 'LREv3.0':
                $value_human = archibald_get_term_by_key($value, 'difficulty');
                break;
            }
            echo l($value_human, 'archibald', array('query' => array('query' => 'difficulty:"' . $value . '"')));
          }
          ?></td>
        </tr>
        <tr>
          <td><?php echo t('Typical learning time'); ?></td><td><?php echo archibald_get_education_typical_lerning_time($lom->getEducation()->getTypicalLearningTime()->getDurationIn('minutes')); ?></td>
        </tr>

      </table>



    </div>
  </div>

  <div class="details">
    <p><a href="JavaScript:void(0);" id="archibald_view_curriculum" class="btndetails inactive remember_choice"><span><?php echo (t('Curricula')); ?></span></a></p>
    <div style="display: block;" class="detailscontainer archibald_view_curriculum">

      <table class="view_curriculum">
        <tr>
          <td width="172"><?php echo t('Context'); ?></td><td>
          <?php
          foreach ($lom->getEducation()->getContext() as $voc) {
            $value = $voc->getValue();
            $value_human = $value;
            switch ($voc->getSource()) {
              case 'LOMv1.0':
              case 'LOM-CHv1.0':
              case 'LREv3.0':
                $value_human = archibald_get_term_by_key($value, 'education_context');
                break;
            }
            echo l($value_human, 'archibald', array('query' => array('query' => 'education_context:"' . $value . '"'))) . '<br />';
          }
          ?>
          </td>
        </tr>
      </table>

      <?php
      foreach ($curriculums as $cur_name => $curriculum) {
        $tmp = (array) $curriculum['entrys'];
        if (!empty($tmp)) {
          drupal_add_css(drupal_get_path('module', 'archibald') . '/css/curriculum_' . $cur_name . '.css');
          ?>
          <strong><?php echo $curriculum['name']; ?></strong>
          <hr />
          <?PHP
          echo theme('archibald_content_view_curriculum_' . $cur_name, array('entrys' => $curriculum['entrys']));
        }
      }
      ?>


    </div>
  </div>

  <div class="details">
    <p><a href="JavaScript:void(0);" id="archibald_view_access" class="btndetails inactive remember_choice"><span><?php echo (t('Access to resource')); ?></span></a></p>
    <div style="display: block;" class="detailscontainer archibald_view_access">

      <strong><?php echo t('Rights'); ?></strong>
      <hr />
      <table class="view_access">
        <tr>
          <td width="172"><?php echo t('Cost'); ?></td><td><?php echo t($lom->getRights()->getCost()->getValue()); ?></td>
        </tr>
        <tr>
          <td><?php echo t('Copyright and other restrictions'); ?></td><td><?php echo t($lom->getRights()->getCopyrightAndOtherRestrictions()->getValue()); ?></td>
        </tr>
        <tr>
          <td><?php echo t('Licence'); ?></td>
          <td>
            <?php print $lizenz; ?>
          </td>
        </tr>
      </table>

      <strong><?php echo t('Technical information'); ?></strong>
      <hr />
      <table class="view_access">
        <!--
        <tr>
            <td width="172"><?php echo t('Format'); ?></td><td>
        <?php
        $formats = $lom->getTechnical()->getFormat();
        if (empty($formats)) {
          echo '-';
        }
        else {
          foreach ($formats as $format) {
            echo $format . '<br />';
          }
        }
        ?>
            </td>
        </tr>
        <tr>
            <td><?php echo t('Size'); ?></td><td><?php echo $lom->getTechnical()->getSizeFormated(); ?></td>
        </tr>
        -->
        <tr>
          <td width="172"><?php echo t('Technical requirements'); ?></td><td><?php
          $other_plattform_requirements = ArchibaldLom::getLangstringText($lom->getTechnical()->getOtherPlattformRequirements());
          echo (empty($other_plattform_requirements)) ? '-' : $other_plattform_requirements;
          ?></td>
        </tr>
        <tr>
          <td width="172"><?php echo t('Location'); ?></td><td><?php
          $location = $lom->getTechnical()->getLocation(0);
          echo (empty($location)) ? '-' : check_plain($location);
          ?></td>
        </tr>
      </table>
      <strong><?php echo t('Reference to resources'); ?></strong>
      <hr />
      <?php
      $identifiers = $lom->getGeneral()->getIdentifier();
      if (count($identifiers) > 0) {
        echo "<table>";

        foreach ($identifiers as $id => $identifier) {
          echo theme('archibald_lom_identifier', array('identifier' => $identifier));
        }
        echo "</table>";
      }
      ?>
    </div>
  </div>

<?php if (count($is_part) > 0 || count($has_part) > 0) { ?>
    <div class="details">
      <p><a href="JavaScript:void(0);" id="archibald_view_related" class="btndetails inactive remember_choice"><span><?php echo (t('Related')); ?></span></a></p>
      <div style="display: block;" class="detailscontainer archibald_view_related">

        <?php if (count($is_part) > 0) { ?>
          <strong><?php echo t("Is part of:"); ?></strong>
          <?php
          foreach ($is_part as $lom_content) {
            echo "<div class='archibald_content_overview_row'>\n";
            $class = 'archibald_content_overview_row_content';
            if (!empty($lom_content['preview_image_fid'])) {
              $file = file_load((INT) $lom_content['preview_image_fid']);
              echo theme('image_style', array('style_name' => 'archibald_preview', 'path' => $file->uri, 'getsize' => FALSE, 'attributes' => array('fid' => $file->fid, 'class' => 'left_image')));
              $class .= ' archibald_corc_has_img';

              if (drupal_strlen($lom_content['lom_title']) > 49) {
                $lom_content['lom_title'] = drupal_substr($lom_content['lom_title'], 0, 45) . ' ...';
              }
            }
            else {
              if (drupal_strlen($lom_content['lom_title']) > 59) {
                $lom_content['lom_title'] = drupal_substr($lom_content['lom_title'], 0, 55) . ' ...';
              }
            }
            echo "  <div class='$class'>\n";
            echo "      <h3>" . l($lom_content['lom_title'], 'archibald/' . $lom_content['lom']->lom_id) . "</h3>\n";
            echo "      <div class=\"description\">" . truncate_utf8($lom_content['lom_description'], 360, TRUE, TRUE) . "</div>\n";
            echo "  </div\n>";
            echo "</div>\n";
            echo "<div class='clear'></div>\n";
          }
          ?>
          <br />
        <?php } ?>
        <?php if (count($has_part) > 0) { ?>
          <strong><?php echo t("Has part of:"); ?></strong>
          <?php
          foreach ($has_part as $lom_content) {
            echo "<div class='archibald_content_overview_row'>\n";
            $class = 'archibald_content_overview_row_content';
            if (!empty($lom_content['preview_image_fid'])) {
              $file = file_load((INT) $lom_content['preview_image_fid']);
              echo theme('image_style', array('style_name' => 'archibald_preview', 'path' => $file->uri, 'getsize' => FALSE, 'attributes' => array('fid' => $file->fid, 'class' => 'left_image')));
              $class .= ' archibald_corc_has_img';

              if (drupal_strlen($lom_content['lom_title']) > 49) {
                $lom_content['lom_title'] = drupal_substr($lom_content['lom_title'], 0, 45) . ' ...';
              }
            }
            else {
              if (drupal_strlen($lom_content['lom_title']) > 59) {
                $lom_content['lom_title'] = drupal_substr($lom_content['lom_title'], 0, 55) . ' ...';
              }
            }
            echo "  <div class='$class'>\n";
            echo "      <h3>" . l($lom_content['lom_title'], 'archibald/' . $lom_content['lom']->lom_id) . "</h3>\n";
            echo "      <div class=\"description\">" . truncate_utf8($lom_content['lom_description'], 360, TRUE, TRUE) . "</div>\n";
            echo "  </div\n>";
            echo "</div>\n";
            echo "<div class='clear'></div>\n";
          }
          ?>

        <?php } ?>
      </div>
    </div>
<?php } ?>

  <?PHP
// comments module is enabled
if (function_exists('archibald_comments_paged_list')) {
?>
    <div class="details">
      <p><a href="JavaScript:void(0);" name="comment-show" id="archibald_view_comments" class="btndetails inactive remember_choice"><span><?php echo (t('Comments')); ?></span></a></p>
      <div style="display: block;" class="detailscontainer archibald_view_comments commentbox commentContainer">

  <?php
      echo archibald_comments_paged_list($lom->lom_id);
      if (user_access('create archibald comments')) {
        echo archibald_comments_form();
      }
   ?>

      </div>
    </div>
      <?PHP } ?>

  <small><?php
echo t(
  'This resource was recorded by @first_editor at @first_date, last updated at @last_date',
  array(
    '@first_editor' => $additional['first']['username'],
    '@first_date' => $additional['first']['save_time'],
    '@last_date' => $additional['last']['save_time'],
  )
);
?></small>

</div>

<?php
$identifiers = $lom->getGeneral()->getIdentifier();
  if (count($identifiers) > 1 || count($usefull_ressource_links) != count($identifiers)) {
  echo '<div class="ressource_dialog">';
  echo '  <div class="title">' . t('Ressource') . ' <span id="close_dialog"><img border="0" src="' . base_path() . drupal_get_path('module', 'archibald') . '/images/close.png" align="absmiddle" /></span></div>';
  echo '    <div class="content">';
  foreach ($identifiers as $id => $identifier) {
    echo ' - ' . (($identifier->catalog != 'URL') ? t($identifier->catalog) . ': ' : '') . theme('archibald_lom_identifier', array('identifier' => $identifier, 'just_link' => TRUE)) . '<br />';
  }
  echo '  </div></div>';
}
?>


<script type="text/javascript">
  (function ($) {
    $(function() {
      var ressources = $(".ressource_link > a");
      if (ressources.length > 1) {
        $(".preview_image_img").click(function() {
          if ($(".ressource_dialog").css("display") == "block") {
            $(".ressource_dialog").hide();
          }
          else {
            $(".ressource_dialog").show();
          }
        });
      }

      $("#close_dialog").click(function() {
        $(".ressource_dialog").hide();
      });
    });
  })(jQuery);
</script>

